## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# header-only library
%global debug_package %{nil}

Name:           valijson
Version:        1.0.3
Release:        %autorelease
Summary:        Header-only JSON Schema validation library for C++11

%global forgeurl https://github.com/tristanpenman/valijson
%forgemeta

License:        MIT
URL:            %forgeurl
Source:         %forgesource

BuildRequires:  cmake
BuildRequires:  gcc-c++

%global _description %{expand:
Valijson provides a simple validation API that allows you to load JSON
Schemas, and validate documents loaded by one of several supported
parser libraries.

The goal of this project is to support validation of all constraints
available in JSON Schema v7, while being competitive with the
performance of a hand-written schema validator.}

%description %_description

%package devel
Summary:        Header files for %{name}

%description devel
%{summary}

%prep
%forgeautosetup -p1

# Move compat/optional.hpp to avoid possible conflict
mv include/compat include/valijson
sed -r 's|compat/optional.hpp|valijson/compat/optional.hpp|' \
    -i include/valijson/internal/optional.hpp

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files devel
%doc Authors README.md
%license LICENSE
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}

%changelog
## START: Generated by rpmautospec
* Sun Sep 22 2024 Sandro <devel@penguinpee.nl> - 1.0.3-1
- Initial package
## END: Generated by rpmautospec
